Forum
Welcome, Guest
Username: Password: Remember me

TOPIC:

Ha-lizard on the XCP-NG 8.2 in 2021. Progress of my deployment 9 months 3 weeks ago #2510

Looks like the halizard_nosan_installer_2.1.7 works on npc-ng 8.2 but not 2.1.9

Can there be any issues installing with the 2019 installer (2.1.7) instead of the one from 2021?

It seems to run fine, all commands and sync between drives works etc, ha-cfg status and iscsi-cfg status gives me correct data

Please Log in or Create an account to join the conversation.

Last edit: by Alexander Hjelm.

Ha-lizard on the XCP-NG 8.2 in 2021. Progress of my deployment 9 months 3 weeks ago #2511

  • Salvatore Costantino
  • Salvatore Costantino's Avatar
  • Offline
  • Posts: 714
Do you have any details or error messages on what is not working?

Please Log in or Create an account to join the conversation.

Ha-lizard on the XCP-NG 8.2 in 2021. Progress of my deployment 9 months 3 weeks ago #2512

HA-Lizard cant be installed, so nothing works.
I dont have any logs now but i can get you some later, should not be an issue with the old installer right?

Please Log in or Create an account to join the conversation.

Ha-lizard on the XCP-NG 8.2 in 2021. Progress of my deployment 9 months 3 weeks ago #2515

  • Salvatore Costantino
  • Salvatore Costantino's Avatar
  • Offline
  • Posts: 714
I will try to reproduce with a host using the latest XCP-NG updates. I can confirm that this installer worked fine on 8.2 back in Feb. Some newer XCP updates may be getting in the way.

Please Log in or Create an account to join the conversation.

Ha-lizard on the XCP-NG 8.2 in 2021. Progress of my deployment 9 months 2 weeks ago #2516

I will try to reproduce with a host using the latest XCP-NG updates. I can confirm that this installer worked fine on 8.2 back in Feb. Some newer XCP updates may be getting in the way.

Seems to work on older ones, but there should be no issues running 2.1.7 installer right?

Please Log in or Create an account to join the conversation.

Ha-lizard on the XCP-NG 8.2 in 2021. Progress of my deployment 9 months 2 weeks ago #2518

Hi, installation script 2.1.9 not working on XCP-NG 8.2 because in 7 repos is no drbd84-utils-sysvinit. Script is trying to work fine without this package but after installation you can find out that iscsi-ha is not installed, and also there is missing some config files(iscsi-ha.cfg, drbd.conf, etc.)

centos.pkgs.org/7/elrepo-x86_64/

EDIT:
scritp version 2.1.7 is using *.tgz instead of *.rpm so this causes that "drbd84-utils-sysvinit" is ignored and installation create all configs and seems that all is working fine

to Salvatore: is "drbd84-utils-sysvinit" really required or it could be ignored?
The following user(s) said Thank You: Alexander Hjelm

Please Log in or Create an account to join the conversation.

Last edit: by Adamec Michal.